summaryrefslogtreecommitdiffstats
path: root/desktop/parcellite
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2010-05-12 23:28:20 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:20 +0200
commit420849783cb4e42338720cb606b77670ccafaedd (patch)
tree6cc7b82d9095bd90bdf8a59460ac96b2c89c20f8 /desktop/parcellite
parent17ce596a7a2683d4d1eed6e71cda712106bf9de3 (diff)
downloadslackbuilds-420849783cb4e42338720cb606b77670ccafaedd.tar.gz
slackbuilds-420849783cb4e42338720cb606b77670ccafaedd.tar.xz
desktop/parcellite: Added to 12.2 repository
Diffstat (limited to 'desktop/parcellite')
-rw-r--r--desktop/parcellite/README14
-rw-r--r--desktop/parcellite/doinst.sh3
-rw-r--r--desktop/parcellite/parcellite.SlackBuild72
-rw-r--r--desktop/parcellite/parcellite.info8
-rw-r--r--desktop/parcellite/slack-desc19
5 files changed, 116 insertions, 0 deletions
diff --git a/desktop/parcellite/README b/desktop/parcellite/README
new file mode 100644
index 0000000000..1274398dca
--- /dev/null
+++ b/desktop/parcellite/README
@@ -0,0 +1,14 @@
+Parcellite is a lightweight GTK+ clipboard manager. This is a stripped
+down, basic-features-only clipboard manager with a small memory
+footprint for those who like simplicity.
+
+Parcellite features a clipboard CLI. Unrecognized options and the
+contents of your standard input get copied to your clipboard. See the
+man page for some examples.
+
+Features
+ * Keeps a clipboard history.
+ * Various view options to display items the way you like it.
+ * Daemon mode; guard your clipboard contents when you close applications.
+ * Global hotkeys to display your items quickly.
+ * Perform custom commands using clipboard contents.
diff --git a/desktop/parcellite/doinst.sh b/desktop/parcellite/doinst.sh
new file mode 100644
index 0000000000..140e332222
--- /dev/null
+++ b/desktop/parcellite/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/desktop/parcellite/parcellite.SlackBuild b/desktop/parcellite/parcellite.SlackBuild
new file mode 100644
index 0000000000..a8459ac433
--- /dev/null
+++ b/desktop/parcellite/parcellite.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for parcellite
+# Written by Phillip Warner <pc_warner@yahoo.com>
+
+PRGNAM=parcellite
+VERSION=${VERSION:-0.9.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man
+
+CFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog README TODO INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/parcellite/parcellite.info b/desktop/parcellite/parcellite.info
new file mode 100644
index 0000000000..05037e2024
--- /dev/null
+++ b/desktop/parcellite/parcellite.info
@@ -0,0 +1,8 @@
+PRGNAM="parcellite"
+VERSION="0.9.1"
+HOMEPAGE="http://parcellite.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/parcellite/parcellite-0.9.1.tar.gz"
+MD5SUM="099d1ccc9fa1e59d3e3b19b77a90a8fb"
+MAINTAINER="Phillip Warner"
+EMAIL="pc_warner@yahoo.com"
+APPROVED="dsomero"
diff --git a/desktop/parcellite/slack-desc b/desktop/parcellite/slack-desc
new file mode 100644
index 0000000000..b31ab0bbbd
--- /dev/null
+++ b/desktop/parcellite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+parcellite: parcellite (clipboard manager)
+parcellite:
+parcellite: Parcellite is a lightweight GTK+ clipboard manager.
+parcellite:
+parcellite: http://parcellite.sourceforge.net
+parcellite:
+parcellite:
+parcellite:
+parcellite:
+parcellite:
+parcellite: